GNU bug report logs - #48221
28.0.50; defsubsts aren't native compiled?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 16:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 12:09:58 2021
Received: from localhost ([127.0.0.1]:33075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leK62-0003qw-GW
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 12:09:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leK60-0003qn-9z
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 12:09:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47787)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leK5v-0003rC-58; Wed, 05 May 2021 12:09:51 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3005
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leK5u-0007cM-Fu; Wed, 05 May 2021 12:09:50 -0400
Date: Wed, 05 May 2021 19:09:39 +0300
Message-Id: <83czu52md8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfr1iltc91.fsf@HIDDEN> (message from Andrea Corallo on Wed, 05
 May 2021 15:46:02 +0000)
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
 <83h7jh2p31.fsf@HIDDEN> <83fsz12oyb.fsf@HIDDEN>
 <xjfv97xtda4.fsf@HIDDEN> <87eeel42oh.fsf@HIDDEN> <xjfr1iltc91.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48221
Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 48221 <at> debbugs.gnu.org
> Date: Wed, 05 May 2021 15:46:02 +0000
> 
> > "native-compilation" is a handful...  would it make sense to change that
> > to "--with-native-compile" instead?  (I don't really have an opinion
> > here, though.)
> 
> FWIW I've really no preference here, I was asked for
> "--with-native-compilation", as long as we decide something it's all
> good by me.

I'm not sure it is worth our while to make small changes in this name,
since I believe we will want to release Emacs 28.1 with that option
being the default (if libgccjit is available).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 16:08:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 12:08:29 2021
Received: from localhost ([127.0.0.1]:33063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leK4b-0003pT-4w
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 12:08:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leK4Y-0003pC-K1
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 12:08:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47758)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leK4R-000376-4i; Wed, 05 May 2021 12:08:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2909
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leK4P-0007VP-5n; Wed, 05 May 2021 12:08:18 -0400
Date: Wed, 05 May 2021 19:08:04 +0300
Message-Id: <83eeel2mfv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfv97xtda4.fsf@HIDDEN> (message from Andrea Corallo on Wed, 05
 May 2021 15:23:47 +0000)
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
 <83h7jh2p31.fsf@HIDDEN> <83fsz12oyb.fsf@HIDDEN> <xjfv97xtda4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48221
Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
> Date: Wed, 05 May 2021 15:23:47 +0000
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Date: Wed, 05 May 2021 18:10:58 +0300
> >> From: Eli Zaretskii <eliz@HIDDEN>
> >> Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
> >> 
> >> Thanks.  I think the feature should be renamed to native-comp
> >
> > Sorry, I meant native-compile.
> 
> NP, BTW in the configure we use `native-compilation' shouldn't we use
> this?

I thought native-compile was better because we talked about renaming a
bunch of variables to have that prefix, so it would be consistent.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:46:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:46:06 2021
Received: from localhost ([127.0.0.1]:32873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJiw-0002Eq-6a
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:46:06 -0400
Received: from mx.sdf.org ([205.166.94.24]:49873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leJiu-0002C8-6i
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:46:05 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145Fk2qj019390
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 15:46:02 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
 <83h7jh2p31.fsf@HIDDEN> <83fsz12oyb.fsf@HIDDEN>
 <xjfv97xtda4.fsf@HIDDEN> <87eeel42oh.fsf@HIDDEN>
Date: Wed, 05 May 2021 15:46:02 +0000
In-Reply-To: <87eeel42oh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 05 May 2021 17:31:58 +0200")
Message-ID: <xjfr1iltc91.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: Eli Zaretskii <eliz@HIDDEN>, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>>>> Thanks.  I think the feature should be renamed to native-comp
>>>
>>> Sorry, I meant native-compile.
>>
>> NP, BTW in the configure we use `native-compilation' shouldn't we use
>> this?
>
> "native-compilation" is a handful...  would it make sense to change that
> to "--with-native-compile" instead?  (I don't really have an opinion
> here, though.)

FWIW I've really no preference here, I was asked for
"--with-native-compilation", as long as we decide something it's all
good by me.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:32:12 2021
Received: from localhost ([127.0.0.1]:60982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJVU-0000je-0l
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:32:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leJVR-0000du-Qu
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:32:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/5DYA1E3vJu6taCg8LaP4Vhfq8QfP1j/foLxvM5oYqE=; b=OqrPufb7YvQa5vLs2TV0iV26jK
 f7zEtnmv0LEiA5D0/7L1/cUHWC/M663nZY1K3/i6htZtZJX52o25MQ1qJvBVvVslmb8eBQlNHTvIS
 dQSC+M9SNCYjkA9w6lCI6fWa7ao0GPXtwSiWaWuwk6qwOROuWQxi1VWmwSCyErnHGRWw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leJVG-0002we-PU; Wed, 05 May 2021 17:32:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
 <83h7jh2p31.fsf@HIDDEN> <83fsz12oyb.fsf@HIDDEN>
 <xjfv97xtda4.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUrERcJBAhcOC2f
 aXLBr7fXzdX+/f2YVyX///99EY0lAAAAAWJLR0QIht6VegAAAAd0SU1FB+UFBQ8VJHWJGisAAAGj
 SURBVDjLddI9W4MwEADgC1VZE6uP6xGqmQVs1yoUdtvSXUtmTYf8fQ/km3KlA7zcHZcEgHMhhJSO
 RPpReHQLICCIwlchkjhK4kOcJNFuK0T04TMA4Kx8pQu6Y1xAOBOgr0fRh0OS5NdgT73uo3wK9JyC
 p2P4Ev9xn4/gndVyM4KgAfEygEJCA8sBfEtoJe/DyYDErlYHGQMl6zZ3fdiAY20NDz04K8Zci1Mo
 FBOKNonjCLShBItcGoLHfilbBgKWffpfdVL03KCjSljXENPfGgKa0bdUKq0hpEkDVBVY005+2K/e
 djQHpUh0Qtau1T6WfqTPl23Zw3e8qlLdI9dFZtAlkPy1nKKGM13mIh1lYOF7vNvBAy26tQocBC7F
 bbfnIcHCAKvOIVsPDkP2ZJAJXsLzADbyx3jVEWbLPhT25y1A4U9KEazQkRuqtRycxLMxFsD95cDS
 IQRWIbgebxLaUp8bWkCCukOXEZcATDQJbcYxNBWsR6CPFzoh0CW0kIYWV/n2ZQqZXel+NLA7XfKr
 EJ9SfRWynZ6BfAYSPQN6CslM/AHXQEkS1jzJwAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNS0w
 NVQxNToyMTozNiswMDowMIW24N0AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDUtMDVUMTU6MjE6
 MzYrMDA6MDD061hhAAAAAElFTkSuQmCC
X-Now-Playing: Shara Nelson's _What Silence Knows_: "Uptight"
Date: Wed, 05 May 2021 17:31:58 +0200
In-Reply-To: <xjfv97xtda4.fsf@HIDDEN> (Andrea Corallo's message of "Wed, 05
 May 2021 15:23:47 +0000")
Message-ID: <87eeel42oh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: >>> Thanks. I think
 the feature should be renamed to native-comp >> >> Sorry,
 I meant native-compile.
 > > NP, BTW in the configure we use `native-compilation' shouldn't we use
 > this? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: Eli Zaretskii <eliz@HIDDEN>, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

>>> Thanks.  I think the feature should be renamed to native-comp
>>
>> Sorry, I meant native-compile.
>
> NP, BTW in the configure we use `native-compilation' shouldn't we use
> this?

"native-compilation" is a handful...  would it make sense to change that
to "--with-native-compile" instead?  (I don't really have an opinion
here, though.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:24:03 2021
Received: from localhost ([127.0.0.1]:60947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJNP-0007FD-Lm
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:24:03 -0400
Received: from mx.sdf.org ([205.166.94.24]:52475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leJNN-0007F7-QE
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:23:50 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145FNl9D021200
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 15:23:47 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
 <83h7jh2p31.fsf@HIDDEN> <83fsz12oyb.fsf@HIDDEN>
Date: Wed, 05 May 2021 15:23:47 +0000
In-Reply-To: <83fsz12oyb.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 May
 2021 18:13:48 +0300")
Message-ID: <xjfv97xtda4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Wed, 05 May 2021 18:10:58 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
>> 
>> Thanks.  I think the feature should be renamed to native-comp
>
> Sorry, I meant native-compile.

NP, BTW in the configure we use `native-compilation' shouldn't we use
this?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 48221 <at> debbugs.gnu.org and Lars Ingebrigtsen <larsi@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:22:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:22:00 2021
Received: from localhost ([127.0.0.1]:60929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJLc-0007DE-5N
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:22:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leJLa-0007D6-Ok
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:21:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fMxOG6HBkCeE/+ahui+diZj/u9gu1K64VlgaeldeaDg=; b=t8O4FnYUpHv7XbONP5h/ZvTzzB
 /fMtLPqEGUiPHQ0nCKW6gEwT2YXCFa4gJRNiqF0gS7RDEL5aM6FGgvn90zW1Jo/U7vDRsB/+CRUQB
 BtwJSIHh5AYhzNYPKA+yrbmw0EaNOCU6T3YHovZNRA3P34jOxmFLVlutYkZujxrfBnwE=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leJLS-0002pO-8o; Wed, 05 May 2021 17:21:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <xjfzgx9tdn5.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUrERcJBAhcOC2f
 aXLBr7fXzdX+/f2YVyX///99EY0lAAAAAWJLR0QIht6VegAAAAd0SU1FB+UFBQ8VJHWJGisAAAGj
 SURBVDjLddI9W4MwEADgC1VZE6uP6xGqmQVs1yoUdtvSXUtmTYf8fQ/km3KlA7zcHZcEgHMhhJSO
 RPpReHQLICCIwlchkjhK4kOcJNFuK0T04TMA4Kx8pQu6Y1xAOBOgr0fRh0OS5NdgT73uo3wK9JyC
 p2P4Ev9xn4/gndVyM4KgAfEygEJCA8sBfEtoJe/DyYDErlYHGQMl6zZ3fdiAY20NDz04K8Zci1Mo
 FBOKNonjCLShBItcGoLHfilbBgKWffpfdVL03KCjSljXENPfGgKa0bdUKq0hpEkDVBVY005+2K/e
 djQHpUh0Qtau1T6WfqTPl23Zw3e8qlLdI9dFZtAlkPy1nKKGM13mIh1lYOF7vNvBAy26tQocBC7F
 bbfnIcHCAKvOIVsPDkP2ZJAJXsLzADbyx3jVEWbLPhT25y1A4U9KEazQkRuqtRycxLMxFsD95cDS
 IQRWIbgebxLaUp8bWkCCukOXEZcATDQJbcYxNBWsR6CPFzoh0CW0kIYWV/n2ZQqZXel+NLA7XfKr
 EJ9SfRWynZ6BfAYSPQN6CslM/AHXQEkS1jzJwAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNS0w
 NVQxNToyMTozNiswMDowMIW24N0AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDUtMDVUMTU6MjE6
 MzYrMDA6MDD061hhAAAAAElFTkSuQmCC
X-Now-Playing: Shara Nelson's _What Silence Knows_: "One Goodbye in Ten"
Date: Wed, 05 May 2021 17:21:49 +0200
In-Reply-To: <xjfzgx9tdn5.fsf@HIDDEN> (Andrea Corallo's message of "Wed, 05
 May 2021 15:15:58 +0000")
Message-ID: <87k0od435e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > Sorry, dunno why I
 was convinced your were talking about > `comp-test-defsubst' :/ > > 31f64d862b
 fixes `help-fns-test-lisp-defsubst'. Thanks; that fixes the problem here,
 too. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> Sorry, dunno why I was convinced your were talking about
> `comp-test-defsubst' :/
>
> 31f64d862b fixes `help-fns-test-lisp-defsubst'.

Thanks; that fixes the problem here, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:16:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:16:01 2021
Received: from localhost ([127.0.0.1]:60904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJFp-0005tD-Bv
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:16:01 -0400
Received: from mx.sdf.org ([205.166.94.24]:54514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leJFn-0005qu-KN
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:16:00 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145FFwNg006704
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 15:15:58 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN>
Date: Wed, 05 May 2021 15:15:58 +0000
In-Reply-To: <87eeel7cal.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 05 May 2021 11:36:02 +0200")
Message-ID: <xjfzgx9tdn5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> AFAIR having the defsubst non native compiled is what we want as we need
>> the bytecode definition to have the inline to be performed.  Actually
>> the test is verifying that the defsubst is *not* native compiled.
>>
>> I tried to reproduce here (0c993ed1d3) but for me the test is passing,
>> that's odd...
>
> Hm, odd.  The two tests here are:

Sorry, dunno why I was convinced your were talking about
`comp-test-defsubst' :/

31f64d862b fixes `help-fns-test-lisp-defsubst'.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:14:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:14:10 2021
Received: from localhost ([127.0.0.1]:60890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJE2-0004yW-0R
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:14:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leJDz-0004xz-AY
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:14:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46432)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leJDt-0006Gs-Tk; Wed, 05 May 2021 11:14:01 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3568
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leJDr-0003s3-9X; Wed, 05 May 2021 11:14:00 -0400
Date: Wed, 05 May 2021 18:13:48 +0300
Message-Id: <83fsz12oyb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: akrl@HIDDEN
In-Reply-To: <83h7jh2p31.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 05
 May 2021 18:10:58 +0300)
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN> <83h7jh2p31.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48221
Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 05 May 2021 18:10:58 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
> 
> Thanks.  I think the feature should be renamed to native-comp

Sorry, I meant native-compile.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:11:21 2021
Received: from localhost ([127.0.0.1]:60872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJBJ-0004wX-Cw
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:11:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leJBH-0004wR-FX
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:11:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46350)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leJBB-0005vD-QW; Wed, 05 May 2021 11:11:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3379
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leJB9-0003NT-OL; Wed, 05 May 2021 11:11:12 -0400
Date: Wed, 05 May 2021 18:10:58 +0300
Message-Id: <83h7jh2p31.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf4kfhust5.fsf@HIDDEN> (message from Andrea Corallo on Wed, 05
 May 2021 15:03:02 +0000)
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN> <xjf4kfhust5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48221
Cc: larsi@HIDDEN, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 48221 <at> debbugs.gnu.org
> Date: Wed, 05 May 2021 15:03:02 +0000
> 
> >> We could perhaps provide 'native-compilation in comp.c?  WDYT?
> >
> > We can use since a while (featurep 'nativecomp), I probably missed this
> > substitution, I'm preparing a patch.
> 
> 3481903d13

Thanks.  I think the feature should be renamed to native-comp, like
the other variables we talked about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:03:05 2021
Received: from localhost ([127.0.0.1]:60822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJ3I-0004qj-Rt
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:03:05 -0400
Received: from mx.sdf.org ([205.166.94.24]:57277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leJ3I-0004qd-4r
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:03:04 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145F33m5017112
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 15:03:03 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
 <xjf8s4tusyn.fsf@HIDDEN>
Date: Wed, 05 May 2021 15:03:02 +0000
In-Reply-To: <xjf8s4tusyn.fsf@HIDDEN> (Andrea Corallo via's message of "Wed, 
 05 May 2021 14:59:44 +0000")
Message-ID: <xjf4kfhust5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>>> Date: Wed, 05 May 2021 11:36:02 +0200
>>> Cc: 48221 <at> debbugs.gnu.org
>>> 
>>> (A related question -- is (boundp 'comp-ctxt) really the best way to
>>> test for whether we have a native-compiled Emacs?  That's just a defvar
>>> in comp-cstr.el...)
>>
>> We could perhaps provide 'native-compilation in comp.c?  WDYT?
>
> We can use since a while (featurep 'nativecomp), I probably missed this
> substitution, I'm preparing a patch.

3481903d13

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 15:00:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:00:28 2021
Received: from localhost ([127.0.0.1]:60797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJ0l-0004o9-Vc
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 11:00:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leJ0k-0004o1-97
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 11:00:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ooBZaujeQZK5p1yllMZA12gZqpNAqWMUWYAqmeuucy4=; b=EVPAoMhhsicXrIe/CATtwhkbL7
 RLgqQr8Jjp0bc83u87m/WcobM2a39UBOd8Kk42qfzjKRogroVm040pSgP/RqDmgu5dMD5w8+CjEKF
 zOlXp2eva5kwM35QfxbfVwvgM5+cq1RCnzcBYpwJTjLhSxg1DYycQtGvtNIWv2t8zYQk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leJ0c-0002Yt-0N; Wed, 05 May 2021 17:00:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUaICwnLDcxOERV
 VFWXkIj///8n6tisAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UFBQ8AApAxecIAAAGGSURBVDjLdZTb
 lcMgDEQluwEkGgiwBRhEAZu1+69pxSs2ccJxfuYeMQNIAQAi76Wv5D21BVAIsddFQywCdHJb8I00
 XT9DhJ/ArRCui9B8BgAGv4HvFc3IOogzaAnsQWBnUvUlJwLM21Sh7njsxYNlu3oYwnzEak4zwbwL
 uZpq0d3WTYzahXVTPTZAaJ9hlT0e2R6yB3HYzhEcupBYrFCIyRoZB7T2F9Y/yGRjObjJR38oWjaw
 JC5IdaVQS0rypI+xJOCQFDCLK1grNPcT0cbgxImq+VDdl7gsEdLa+4RYf9o3BZRbkBQ0lrV/zN6p
 7tt5UQ/HgcT7vTXPAGAC8R7zzkMfANUvR73tG9B8GvJxB3rHWiTpHQAu4kwHXIHp7j+xaKWshD23
 WvomqTX+uZX0jgpuBjaOFhR/Aer86kCbrhX28ZokCldwjgb72ePV5ez8nOqcpjdwQe8AXi4z0K5t
 NVyvahocM8KpztNsYJ8onj1Oq0+g7nYH2P4f2AcZD1VlJOiJRf4B/ilNHR107ioAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjEtMDUtMDVUMTU6MDA6MDIrMDA6MDBI2BHSAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIxLTA1LTA1VDE1OjAwOjAyKzAwOjAwOYWpbgAAAABJRU5ErkJggg==
X-Now-Playing: Chrome Hoof's _Pre-Emptive False Rapture_: "Astral Suicide"
Date: Wed, 05 May 2021 17:00:17 +0200
In-Reply-To: <83im3x2pp3.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 May
 2021 17:57:44 +0300")
Message-ID: <87tunh445a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > We could perhaps
 provide 'native-compilation in comp.c? WDYT? Yes, good idea. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: 48221 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> We could perhaps provide 'native-compilation in comp.c?  WDYT?

Yes, good idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 14:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:59:49 2021
Received: from localhost ([127.0.0.1]:60787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJ09-0004lO-LE
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 10:59:49 -0400
Received: from mx.sdf.org ([205.166.94.24]:57661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1leJ06-0004lH-BO
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 10:59:48 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 145ExiNV003968
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 5 May 2021 14:59:44 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN> <83im3x2pp3.fsf@HIDDEN>
Date: Wed, 05 May 2021 14:59:44 +0000
In-Reply-To: <83im3x2pp3.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 05 May
 2021 17:57:44 +0300")
Message-ID: <xjf8s4tusyn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date: Wed, 05 May 2021 11:36:02 +0200
>> Cc: 48221 <at> debbugs.gnu.org
>> 
>> (A related question -- is (boundp 'comp-ctxt) really the best way to
>> test for whether we have a native-compiled Emacs?  That's just a defvar
>> in comp-cstr.el...)
>
> We could perhaps provide 'native-compilation in comp.c?  WDYT?

We can use since a while (featurep 'nativecomp), I probably missed this
substitution, I'm preparing a patch.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 14:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:58:09 2021
Received: from localhost ([127.0.0.1]:60771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leIyW-0004kA-T4
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 10:58:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1leIyR-0004jn-Bp
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 10:58:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46050)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1leIyL-0007k3-Ow; Wed, 05 May 2021 10:57:57 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1546
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1leIyK-0001UX-L7; Wed, 05 May 2021 10:57:57 -0400
Date: Wed, 05 May 2021 17:57:44 +0300
Message-Id: <83im3x2pp3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87eeel7cal.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 05 May 2021 11:36:02 +0200)
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
 <87eeel7cal.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48221
Cc: 48221 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 05 May 2021 11:36:02 +0200
> Cc: 48221 <at> debbugs.gnu.org
> 
> (A related question -- is (boundp 'comp-ctxt) really the best way to
> test for whether we have a native-compiled Emacs?  That's just a defvar
> in comp-cstr.el...)

We could perhaps provide 'native-compilation in comp.c?  WDYT?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at 48221 <at> debbugs.gnu.org:


Received: (at 48221) by debbugs.gnu.org; 5 May 2021 09:36:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 05:36:19 2021
Received: from localhost ([127.0.0.1]:59025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leDx5-00074t-32
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 05:36:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leDx3-00074j-DT
 for 48221 <at> debbugs.gnu.org; Wed, 05 May 2021 05:36:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wDrIzxbBHDhPzcyxu1T5JkEAmpnmNhUaRoR+x0yY6c4=; b=gkVxjYp1uk7gYtiVt1UQYMH9ig
 a7/oBjoQtk+0cPauReOMZUDeE4t/SHkhFzyhn/yb1T2Nxs4KJmZ9NfS4uU+uWEzrzoymFXatZlaBi
 EGmC4ejJ6MPlfOgGFYSOnjgaCOtpR2ProBBKW2SkODgpvnKV7LsHgkzVm0/F/0+k/HVo=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leDwr-00079m-EA; Wed, 05 May 2021 11:36:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48221: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN> <xjflf8uv63t.fsf@HIDDEN>
X-Now-Playing: Nico's _Fata Morgana_: "Your Voice"
Date: Wed, 05 May 2021 11:36:02 +0200
In-Reply-To: <xjflf8uv63t.fsf@HIDDEN> (Andrea Corallo's message of "Tue, 04
 May 2021 16:03:34 +0000")
Message-ID: <87eeel7cal.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: > AFAIR having the
 defsubst
 non native compiled is what we want as we need > the bytecode definition
 to have the inline to be performed. Actually > the test is verifying that
 the defsubst is *not* nat [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48221
Cc: 48221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> AFAIR having the defsubst non native compiled is what we want as we need
> the bytecode definition to have the inline to be performed.  Actually
> the test is verifying that the defsubst is *not* native compiled.
>
> I tried to reproduce here (0c993ed1d3) but for me the test is passing,
> that's odd...

Hm, odd.  The two tests here are:

----
(ert-deftest help-fns-test-lisp-defun ()
  (let ((regexp (if (boundp 'comp-ctxt)
                    "a native compiled Lisp function in .+subr\\.el"
                  "a compiled Lisp function in .+subr\\.el"))
        (result (help-fns-tests--describe-function 'last)))
    (should (string-match regexp result))))

(ert-deftest help-fns-test-lisp-defsubst ()
  (let ((regexp (if (boundp 'comp-ctxt)
                    "a native compiled Lisp function in .+subr\\.el"
                  "a compiled Lisp function in .+subr\\.el"))
        (result (help-fns-tests--describe-function 'posn-window)))
    (should (string-match regexp result))))
----

Unless I'm really misreading something here, they both seem to expect
the native-compiled results?

(A related question -- is (boundp 'comp-ctxt) really the best way to
test for whether we have a native-compiled Emacs?  That's just a defvar
in comp-cstr.el...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2021 16:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 04 12:03:49 2021
Received: from localhost ([127.0.0.1]:54002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ldxWX-0002xY-Hw
	for submit <at> debbugs.gnu.org; Tue, 04 May 2021 12:03:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:59534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ldxWS-0002xR-Ca
 for submit <at> debbugs.gnu.org; Tue, 04 May 2021 12:03:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53880)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1ldxWS-00047U-3U
 for bug-gnu-emacs@HIDDEN; Tue, 04 May 2021 12:03:44 -0400
Received: from mx.sdf.org ([205.166.94.24]:53060)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1ldxWP-0000ob-Lc
 for bug-gnu-emacs@HIDDEN; Tue, 04 May 2021 12:03:43 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 144G3YBI027333
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 4 May 2021 16:03:35 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: 28.0.50; defsubsts aren't native compiled?
References: <87zgxa95vb.fsf@HIDDEN>
Date: Tue, 04 May 2021 16:03:34 +0000
In-Reply-To: <87zgxa95vb.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 May 2021 11:59:36 +0200")
Message-ID: <xjflf8uv63t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> The following test has been failing the past few days.
>
> 1 unexpected results:
>    FAILED  help-fns-test-lisp-defsubst
>
> And, indeed, `C-h f' on the subst in question says:
>
> posn-window is a compiled Lisp function in =E2=80=98subr.el=E2=80=99.
>
> While a regular function is native compiled:
>
> last is a native compiled Lisp function in =E2=80=98subr.el=E2=80=99.

Hi Lars,

AFAIR having the defsubst non native compiled is what we want as we need
the bytecode definition to have the inline to be performed.  Actually
the test is verifying that the defsubst is *not* native compiled.

I tried to reproduce here (0c993ed1d3) but for me the test is passing,
that's odd...

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2021 09:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 04 05:59:55 2021
Received: from localhost ([127.0.0.1]:52218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ldrqM-0003HS-Sp
	for submit <at> debbugs.gnu.org; Tue, 04 May 2021 05:59:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:60338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ldrqK-0003HM-SQ
 for submit <at> debbugs.gnu.org; Tue, 04 May 2021 05:59:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54080)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1ldrqK-0000bt-J2
 for bug-gnu-emacs@HIDDEN; Tue, 04 May 2021 05:59:52 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:41472)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1ldrqI-0001Vb-FG
 for bug-gnu-emacs@HIDDEN; Tue, 04 May 2021 05:59:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:Subject:Cc:To:From:Sender:Reply-To:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=HvcJD3Y6E7K7d3maHcCEvm7+Csh6RxaescWU4YaMaj4=; b=TF1eZaizQzsBbAyaTrUnnuB7KJ
 p2a60vG9Y259Dm7QNAjpgPquRnUXJcw5GKtzUpAR3AfHss+wEhdNeqcrbV37+HZZiyvfpq20OkT8i
 MgwrMsXi86M2B1YeVfswfYoIkWVYYq2cFSVGnRiSLzOJTK/0YjlyDPQmNmh+vIt8hRZQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ldrq5-0000qk-2H; Tue, 04 May 2021 11:59:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; defsubsts aren't native compiled?
X-Now-Playing: Zola Jesus's _New Amsterdam_: "Lady In The Radiator"
Date: Tue, 04 May 2021 11:59:36 +0200
Message-ID: <87zgxa95vb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: The following test has been failing the past few days. 1
 unexpected
 results: FAILED help-fns-test-lisp-defsubst And, indeed, `C-h f' on the subst
 in question says: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


The following test has been failing the past few days.

1 unexpected results:
   FAILED  help-fns-test-lisp-defsubst

And, indeed, `C-h f' on the subst in question says:

posn-window is a compiled Lisp function in =E2=80=98subr.el=E2=80=99.

While a regular function is native compiled:

last is a native compiled Lisp function in =E2=80=98subr.el=E2=80=99.



In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, c=
airo version 1.16.0)
 of 2021-04-30 built on xo
Repository revision: 7c901d90e620b4d3651b86c13faf1e81eeb3db10
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Debian GNU/Linux bullseye/sid


--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48221; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 May 2021 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.